{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function rowexists, msg, post_event\r\n$insert msg_equates\r\n\r\nif .tech_sig->text='' then\r\n\tMsgInfo = ''\r\n\tMsgInfo<mtext$> = 'You have not signed the log entry'\r\n\tMsgInfo<micon$> = 'H'\r\n\tVoid = msg( '', MsgInfo )\r\n\tVoid = post_event( @window:'.TECH_SIG', 'GOTFOCUS' )\r\n\tVoid = set_property( @window:'.TECH_SIG', 'FOCUS', 1 )\r\n\treturn 0\r\nend\r\n\r\nif rowexists( 'CDM_LOG', .log_no->text ) then\r\n\t*we're rewriting an entry that already existed -\r\n\t*don't replace current username into entry_id\r\nend else\r\n   .entry_id->text = @user4; *this is a new entry so\r\n   \t\t\t\t\t\t\t\t*place username into entry_id for the write\r\nend\r\n\r\nreturn 1"
        }
    }
}